%global namedreltag  -alpha-8
%global namedversion %{version}%{?namedreltag}
%global dotreltag    %(echo %{namedreltag} | tr - .)

Name:                maven-native
Version:             1.0
Release:             1
Summary:             Compile c and c++ source under Maven
License:             ASL 2.0 and MIT
Url:                 http://www.mojohaus.org/plugins.html
Source0:             https://repo.maven.apache.org/maven2/org/codehaus/mojo/natives/%{name}/%{namedversion}/%{name}-%{namedversion}-source-release.zip

BuildArch:           noarch
BuildRequires:       maven-local mojo-parent mvn(aopalliance:aopalliance) mvn(bcel:bcel)
BuildRequires:       mvn(commons-lang:commons-lang) mvn(junit:junit) mvn(net.sf.cglib:cglib)
BuildRequires:       mvn(org.apache.maven:maven-artifact) mvn(org.apache.maven:maven-model)
BuildRequires:       mvn(org.apache.maven:maven-plugin-api) mvn(org.apache.maven:maven-compat)
BuildRequires:       mvn(org.apache.maven:maven-core)
BuildRequires:       mvn(org.apache.maven.plugins:maven-enforcer-plugin)
BuildRequires:       mvn(org.apache.maven.plugins:maven-plugin-plugin)
BuildRequires:       mvn(org.apache.maven.plugin-testing:maven-plugin-testing-harness)
BuildRequires:       mvn(org.codehaus.plexus:plexus-archiver)
BuildRequires:       mvn(org.codehaus.plexus:plexus-component-api)
BuildRequires:       mvn(org.codehaus.plexus:plexus-container-default)
BuildRequires:       mvn(org.codehaus.plexus:plexus-utils)

%description
Maven Native - compile C and C++ source under Maven
with compilers such as GCC, MSVC, GCJ etc ...

%package components
Summary:             Maven Native Components
%description components
%{summary}.

%package -n native-maven-plugin
Summary:             Native Maven Plugin
%description -n native-maven-plugin
%{summary}.

%package javadoc
Summary:             Javadoc for %{name}
%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{name}-%{namedversion}
for d in LICENSE ; do
  iconv -f iso8859-1 -t utf-8 $d.txt > $d.txt.conv && mv -f $d.txt.conv $d.txt
  sed -i 's/\r//' $d.txt
done
%pom_remove_dep backport-util-concurrent:backport-util-concurrent
%pom_remove_dep backport-util-concurrent:backport-util-concurrent maven-native-api
sed -i "s|edu.emory.mathcs.backport.java.util.concurrent|java.util.concurrent|" \
 maven-native-api/src/main/java/org/codehaus/mojo/natives/compiler/AbstractCompiler.java
sed -i 's|<artifactId>maven-project|<artifactId>maven-compat|' pom.xml
%pom_remove_dep :maven-project native-maven-plugin
%pom_add_dep org.apache.maven:maven-compat native-maven-plugin
%pom_add_dep org.apache.maven:maven-core native-maven-plugin
%pom_add_dep aopalliance:aopalliance::test native-maven-plugin
%pom_add_dep net.sf.cglib:cglib::test native-maven-plugin
%mvn_package ":%{name}" %{name}
%mvn_package ":%{name}-api" %{name}
%mvn_package ":%{name}-components" components
%mvn_package ":%{name}-bcc" components
%mvn_package ":%{name}-generic-c" components
%mvn_package ":%{name}-javah" components
%mvn_package ":%{name}-manager" components
%mvn_package ":%{name}-msvc" components
%mvn_package ":native-maven-plugin" native-maven-plugin

%build
%mvn_build -f -s -- -Dmojo.java.target=1.7 -Dmaven.test.failure.ignore=true

%install
%mvn_install

%files -f .mfiles-%{name}
%dir %{_javadir}/%{name}
%license LICENSE.txt

%files components -f .mfiles-components
%license LICENSE.txt

%files -n native-maven-plugin -f .mfiles-native-maven-plugin
%license LICENSE.txt

%files javadoc -f .mfiles-javadoc
%license LICENSE.txt

%changelog
* Tue Jul 28 2020 maminjie <maminjie1@huawei.com> - 1.0-1
- package init
